#ifndef MARS_MHexagon
#define MARS_MHexagon

//////////////////////////////////////////////////////////////
//
//   MHexagon
//
//   A Hexagon for the MAGIC event display
//
//////////////////////////////////////////////////////////////

#ifndef MARS_MAGIC
#include "MAGIC.h"
#endif

#ifndef ROOT_TObject
#include <TObject.h>
#endif 

#ifndef ROOT_TAttLine
#include <TAttLine.h>
#endif 

#ifndef ROOT_TAttFill
#include <TAttFill.h>
#endif 

class MGeomPix;

class MHexagon : public TObject, public TAttLine, public TAttFill
{
protected:

    Float_t fX;  // X coordinate  of center
    Float_t fY;  // Y coordinate  of center
    Float_t fD;  // diameter D or better distance between opposite sides

public:

    MHexagon();
    MHexagon(Float_t x, Float_t y, Float_t d);
    MHexagon(MGeomPix &pix);
    MHexagon(const MHexagon &hexagon);
    virtual ~MHexagon();

    virtual void  Copy(TObject &hexagon);

    virtual Int_t DistancetoPrimitive(Int_t px, Int_t py);
    virtual void  DrawHexagon(Float_t x, Float_t y, Float_t d);

    //virtual void  ExecuteEvent(Int_t event, Int_t px, Int_t py);

    virtual void  ls(const Option_t *Option="") const;
    virtual void  Paint(Option_t *Option="");
    virtual void  PaintHexagon(Float_t x, Float_t y, Float_t d);
    virtual void  Print(Option_t *Option="") const; // *MENU*
    virtual void  SavePrimitive(ofstream &out, Option_t *);

    ClassDef(MHexagon, 0)    // A hexagon for MAGIC
};

#endif

